<?php
/*			DATOS DE PRUEBA			*/
// $_POST['apodo'] = 'Chilito';
// $_POST['contrasena'] = sha1('12345');
// $_POST['patente'] = 'TX-XD-69';
// $_POST['carroceria'] = '10';
/*		------------------------	*/
$mensaje = array('respuesta' => false);
if(isset($_POST['apodo']) && isset($_POST['contrasena']) && isset($_POST['patente'])){

	$apo = $_POST['apodo'];
	$con = sha1($_POST['contrasena']);
	$patente = $_POST['patente'];
	$carroceria = $_POST['carroceria'];

	$marca = (empty($_POST['marca']))?null:$_POST['marca'];
	$modelo = (empty($_POST['modelo']))?null:$_POST['modelo'];

	$veh = new Vehiculo();
	$mensaje = array('respuesta' => $veh->registrar($apo,$con,$patente,$marca,$modelo,$carroceria));
}
echo JSON::array2json($mensaje);
?>